package com.cygnusa.hyperm.wrappers;

public class UserData {
    private User user;
    private String rank;
    private String percentage;
    private String total_time;
    private String last_time;

    public String getTotal_time() {
        return total_time;
    }

    public void setTotal_time(String total_time) {
        this.total_time = total_time;
    }

    public String getLast_time() {
        return last_time;
    }

    public void setLast_time(String last_time) {
        this.last_time = last_time;
    }

    public String getRank() {
        return rank == null || rank.trim().isEmpty() || rank.trim().equalsIgnoreCase("-") ? "0" : rank.trim();
    }

    public void setRank(String rank) {
        this.rank = rank;
    }

    public String getPercentage() {
        return percentage;
    }

    public void setPercentage(String percentage) {
        this.percentage = percentage;
    }

    public User getUser() {
        return user == null ? new User() : user;
    }

    public void setUser(User user) {
        this.user = user;
    }
}
